Package uk.ac.starlink.votable

# Class GroupElement

java.lang.Object
uk.ac.starlink.votable.dom.DelegatingNode
uk.ac.starlink.votable.dom.DelegatingElement
uk.ac.starlink.votable.VOElement
uk.ac.starlink.votable.GroupElement

All Implemented Interfaces:
  `Element`, `Node`

public class GroupElement extends VOElement
Object representing a GROUP element in a VOTable. Methods exist for retrieving the FIELDs and PARAMs associated with this group, some or all of which may be referenced using FIELDref/PARAMref elements to reference the originals. If you want the FIELDref/PARAMref children themselves, you can use the generic `VOElement`/`Element`/`Node` methods.

Since:
  16 Sep 2004
Author:
  Mark Taylor (Starlink)

## Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Method Summary

Modifier and Type
Method
Description
`FieldElement[]`
`getFields()`
Returns an array of the FIELDs associated with this group.
`GroupElement[]`
`getGroups()`
Returns the GROUP children of this element.
`ParamElement[]`
`getParams()`
Returns an array of the PARAMs associated with this group.

### Methods inherited from class uk.ac.starlink.votable.VOElement

`getChildByName, getChildren, getChildrenByName, getDescription, getElementsByVOTagName, getElementSequence, getHandle, getID, getName, getParent, getReferencedElement, getSystemId, getVOTagName, toString`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingElement

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Method Details

### getParams

public ParamElement[] getParams()
Returns an array of the PARAMs associated with this group. The returned list contains all the PARAM children and all the PARAMs referenced by all the PARAMref children. Any PARAMref which doesn't reference an existing PARAM is ignored. The result is in the same order as the children.

Returns:
  PARAM elements represented by children of this group

### getFields

public FieldElement[] getFields()
Returns an array of the FIELDs associated with this group. The returned list contains the FIELD elements referenced by the FIELDref children of this element. Any FIELDref which doesn't reference an existing FIELD is ignored. The result is in the same order as the children.

Returns:
  FIELD elements represented by children of this group

### getGroups

public GroupElement[] getGroups()
Returns the GROUP children of this element.

Returns:
  group elements which are direct children of this